Loading...
Searching...
No Matches
cache.c File Reference
`#include "cache.h"`
`#include "hamlib/rig_state.h"`
`#include "misc.h"`
Include dependency graph for cache.c:

## Macros

#define | CHECK_RIG_ARG(r)

## Functions

int | rig_set_cache_mode (RIG *rig, vfo_t vfo, rmode_t mode, pbwidth_t width)
int | rig_set_cache_freq (RIG *rig, vfo_t vfo, freq_t freq)
int | rig_get_cache (RIG *rig, vfo_t vfo, freq_t *freq, int *cache_ms_freq, rmode_t *mode, int *cache_ms_mode, pbwidth_t *width, int *cache_ms_width)
| get cached values for a VFO
int | rig_get_cache_freq (RIG *rig, vfo_t vfo, freq_t *freq, int *cache_ms_freq_p)
| get cached values for a VFO
int | rig_get_cache_timeout_ms (RIG *rig, hamlib_cache_t selection)
int | rig_set_cache_timeout_ms (RIG *rig, hamlib_cache_t selection, int ms)
void | rig_cache_show (RIG *rig, const char *func, int line)

## Macro Definition Documentation

## CHECK_RIG_ARG

#define CHECK_RIG_ARG | ( |  | r | ) |

Value:
(!(r) || !(r)->caps || !STATE(r)->comm_state)